Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Class ObjectFactory

    java.lang.Object
      org.infoml.jaxb.impl.runtime.DefaultJAXBContextImpl
          org.infoml.jaxb.ObjectFactory

    public class ObjectFactory

extends org.infoml.jaxb.impl.runtime.DefaultJAXBContextImpl

This object contains factory methods for each Java content interface and Java element interface generated in the org.infoml.jaxb package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Field Summary
`static org.infoml.jaxb.impl.runtime.GrammarInfo` | `grammarInfo`
`static java.lang.Class` | `version`

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.infoml.jaxb

Method Summary
`AgentContainerLocationType` | `createAgentContainerLocationType()` Create an instance of AgentContainerLocationType
`AgentType` | `createAgentType()` Create an instance of AgentType
`AnyWithOwnerType` | `createAnyWithOwnerType()` Create an instance of AnyWithOwnerType
`AType` | `createAType()` Create an instance of AType
`AType.Code` | `createATypeCode()` Create an instance of ATypeCode
`AType.Em` | `createATypeEm()` Create an instance of ATypeEm
`AType.Pre` | `createATypePre()` Create an instance of ATypePre
`AType.Pre` | `createATypePre(java.lang.String value)` Create an instance of ATypePre
`AType.Strong` | `createATypeStrong()` Create an instance of ATypeStrong
`CaptionType` | `createCaptionType()` Create an instance of CaptionType
`CodeType` | `createCodeType()` Create an instance of CodeType
`CodeType.A` | `createCodeTypeA()` Create an instance of CodeTypeA
`CodeType.Em` | `createCodeTypeEm()` Create an instance of CodeTypeEm
`CodeType.Pre` | `createCodeTypePre()` Create an instance of CodeTypePre
`CodeType.Pre` | `createCodeTypePre(java.lang.String value)` Create an instance of CodeTypePre
`CodeType.Strong` | `createCodeTypeStrong()` Create an instance of CodeTypeStrong
`ComplexPointType` | `createComplexPointType()` Create an instance of ComplexPointType
`ComplexRangeType` | `createComplexRangeType()` Create an instance of ComplexRangeType
`ContactInfoType` | `createContactInfoType()` Create an instance of ContactInfoType
`ContainerType` | `createContainerType()` Create an instance of ContainerType
`ContentAgentContainerLocationType` | `createContentAgentContainerLocationType()` Create an instance of ContentAgentContainerLocationType
`DateWithRoleType` | `createDateWithRoleType()` Create an instance of DateWithRoleType
`EmType` | `createEmType()` Create an instance of EmType
`EmType.A` | `createEmTypeA()` Create an instance of EmTypeA
`EmType.Code` | `createEmTypeCode()` Create an instance of EmTypeCode
`EmType.Em` | `createEmTypeEm()` Create an instance of EmTypeEm
`EmType.Pre` | `createEmTypePre()` Create an instance of EmTypePre
`EmType.Pre` | `createEmTypePre(java.lang.String value)` Create an instance of EmTypePre
`EmType.Strong` | `createEmTypeStrong()` Create an instance of EmTypeStrong
`EnclosingSourceType` | `createEnclosingSourceType()` Create an instance of EnclosingSourceType
`ExtendedPointersType` | `createExtendedPointersType()` Create an instance of ExtendedPointersType
`ExtendedPointersWithOwnerType` | `createExtendedPointersWithOwnerType()` Create an instance of ExtendedPointersWithOwnerType
`ExtendedSourceType` | `createExtendedSourceType()` Create an instance of ExtendedSourceType
`InfomlFile` | `createInfomlFile()` Create an instance of InfomlFile
`InfomlFileType` | `createInfomlFileType()` Create an instance of InfomlFileType
`InfomlType` | `createInfomlType()` Create an instance of InfomlType
`LocationType` | `createLocationType()` Create an instance of LocationType
`MultipleLinesType` | `createMultipleLinesType()` Create an instance of MultipleLinesType
`NonnullTokenWithOwnerReplaceType` | `createNonnullTokenWithOwnerReplaceType()` Create an instance of NonnullTokenWithOwnerReplaceType
`NonnullTokenWithOwnerType` | `createNonnullTokenWithOwnerType()` Create an instance of NonnullTokenWithOwnerType
`NonnullTokenWithRoleType` | `createNonnullTokenWithRoleType()` Create an instance of NonnullTokenWithRoleType
`NonnullTokenWithSeparatorType` | `createNonnullTokenWithSeparatorType()` Create an instance of NonnullTokenWithSeparatorType
`PoemType` | `createPoemType()` Create an instance of PoemType
`PointersType` | `createPointersType()` Create an instance of PointersType
`PointType` | `createPointType()` Create an instance of PointType
`PropertiesType` | `createPropertiesType()` Create an instance of PropertiesType
`PType` | `createPType()` Create an instance of PType
`PType.A` | `createPTypeA()` Create an instance of PTypeA
`PType.Code` | `createPTypeCode()` Create an instance of PTypeCode
`PType.Em` | `createPTypeEm()` Create an instance of PTypeEm
`PType.Pre` | `createPTypePre()` Create an instance of PTypePre
`PType.Pre` | `createPTypePre(java.lang.String value)` Create an instance of PTypePre
`PType.Strong` | `createPTypeStrong()` Create an instance of PTypeStrong
`RangeType` | `createRangeType()` Create an instance of RangeType
`RichPointerType` | `createRichPointerType()` Create an instance of RichPointerType
`RichPointerType.P` | `createRichPointerTypeP()` Create an instance of RichPointerTypeP
`RichPointerType.Poem` | `createRichPointerTypePoem()` Create an instance of RichPointerTypePoem
`RichPointerType.Quotation` | `createRichPointerTypeQuotation()` Create an instance of RichPointerTypeQuotation
`RichPointerType.Table` | `createRichPointerTypeTable()` Create an instance of RichPointerTypeTable
`RichTextFragmentsType` | `createRichTextFragmentsType()` Create an instance of RichTextFragmentsType
`RichTextType` | `createRichTextType()` Create an instance of RichTextType
`RichTextType.P` | `createRichTextTypeP()` Create an instance of RichTextTypeP
`RichTextType.Poem` | `createRichTextTypePoem()` Create an instance of RichTextTypePoem
`RichTextType.Quotation` | `createRichTextTypeQuotation()` Create an instance of RichTextTypeQuotation
`RichTextType.Table` | `createRichTextTypeTable()` Create an instance of RichTextTypeTable
`RichTextWithExactType` | `createRichTextWithExactType()` Create an instance of RichTextWithExactType
`RichTextWithOwnerType` | `createRichTextWithOwnerType()` Create an instance of RichTextWithOwnerType
`SelectorsType` | `createSelectorsType()` Create an instance of SelectorsType
`SimpleRichTextType` | `createSimpleRichTextType()` Create an instance of SimpleRichTextType
`SimpleRichTextType.A` | `createSimpleRichTextTypeA()` Create an instance of SimpleRichTextTypeA
`SimpleRichTextType.Code` | `createSimpleRichTextTypeCode()` Create an instance of SimpleRichTextTypeCode
`SimpleRichTextType.Em` | `createSimpleRichTextTypeEm()` Create an instance of SimpleRichTextTypeEm
`SimpleRichTextType.Pre` | `createSimpleRichTextTypePre()` Create an instance of SimpleRichTextTypePre
`SimpleRichTextType.Pre` | `createSimpleRichTextTypePre(java.lang.String value)` Create an instance of SimpleRichTextTypePre
`SimpleRichTextType.Strong` | `createSimpleRichTextTypeStrong()` Create an instance of SimpleRichTextTypeStrong
`SimpleRichTextWithAuthorType` | `createSimpleRichTextWithAuthorType()` Create an instance of SimpleRichTextWithAuthorType
`SimpleRichTextWithInfoType` | `createSimpleRichTextWithInfoType()` Create an instance of SimpleRichTextWithInfoType
`SimpleRichTextWithOwnerReplaceType` | `createSimpleRichTextWithOwnerReplaceType()` Create an instance of SimpleRichTextWithOwnerReplaceType
`SimpleRichTextWithOwnerType` | `createSimpleRichTextWithOwnerType()` Create an instance of SimpleRichTextWithOwnerType
`SimpleRichTextWithSeparatorType` | `createSimpleRichTextWithSeparatorType()` Create an instance of SimpleRichTextWithSeparatorType
`StrongType` | `createStrongType()` Create an instance of StrongType
`StrongType.A` | `createStrongTypeA()` Create an instance of StrongTypeA
`StrongType.Code` | `createStrongTypeCode()` Create an instance of StrongTypeCode
`StrongType.Em` | `createStrongTypeEm()` Create an instance of StrongTypeEm
`StrongType.Pre` | `createStrongTypePre()` Create an instance of StrongTypePre
`StrongType.Pre` | `createStrongTypePre(java.lang.String value)` Create an instance of StrongTypePre
`TableRowType` | `createTableRowType()` Create an instance of TableRowType
`TableRowType.Th` | `createTableRowTypeTh()` Create an instance of TableRowTypeTh
`TableRowType.Th` | `createTableRowTypeTh(java.lang.String value)` Create an instance of TableRowTypeTh
`TableRowType.Tr` | `createTableRowTypeTr()` Create an instance of TableRowTypeTr
`TableRowType.Tr` | `createTableRowTypeTr(java.lang.String value)` Create an instance of TableRowTypeTr
`TableType` | `createTableType()` Create an instance of TableType
`java.lang.Object` | `getProperty(java.lang.String name)` Get the specified property.
`java.lang.Object` | `newInstance(java.lang.Class javaContentInterface)` Create an instance of the specified Java content interface.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set the specified property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### grammarInfo

    public static final org.infoml.jaxb.impl.runtime.GrammarInfo grammarInfo

### version

    public static final java.lang.Class version

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.infoml.jaxb

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.Class javaContentInterface)
                                 throws javax.xml.bind.JAXBException

  Create an instance of the specified Java content interface.

  Parameters:
    `javaContentInterface` - the Class object of the javacontent interface to instantiate
  Returns:
    a new instance
  Throws:
    `JAXBException` - if an error occurs

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws javax.xml.bind.PropertyException

  Get the specified property. This method can only be used to get provider specific properties. Attempting to get an undefined property will result in a PropertyException being thrown.

  Parameters:
    `name` - the name of the property to retrieve
  Returns:
    the value of the requested property
  Throws:
    `PropertyException` - when there is an error retrieving the given property or value

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws javax.xml.bind.PropertyException

  Set the specified property. This method can only be used to set provider specific properties. Attempting to set an undefined property will result in a PropertyException being thrown.

  Parameters:
    `name` - the name of the property to retrieve
    `value` - the value of the property to be set
  Throws:
    `PropertyException` - when there is an error processing the given property or value

### createATypeEm

    public AType.Em createATypeEm()
                           throws javax.xml.bind.JAXBException

  Create an instance of ATypeEm

  Throws:
    `JAXBException` - if an error occurs

### createContentAgentContainerLocationType

    public ContentAgentContainerLocationType createContentAgentContainerLocationType()
                                                                              throws javax.xml.bind.JAXBException

  Create an instance of ContentAgentContainerLocationType

  Throws:
    `JAXBException` - if an error occurs

### createPoemType

    public PoemType createPoemType()
                            throws javax.xml.bind.JAXBException

  Create an instance of PoemType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextWithSeparatorType

    public SimpleRichTextWithSeparatorType createSimpleRichTextWithSeparatorType()
                                                                          throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextWithSeparatorType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypeCode

    public SimpleRichTextType.Code createSimpleRichTextTypeCode()
                                                         throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypeCode

  Throws:
    `JAXBException` - if an error occurs

### createATypeCode

    public AType.Code createATypeCode()
                               throws javax.xml.bind.JAXBException

  Create an instance of ATypeCode

  Throws:
    `JAXBException` - if an error occurs

### createExtendedPointersType

    public ExtendedPointersType createExtendedPointersType()
                                                    throws javax.xml.bind.JAXBException

  Create an instance of ExtendedPointersType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypeEm

    public SimpleRichTextType.Em createSimpleRichTextTypeEm()
                                                     throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypeEm

  Throws:
    `JAXBException` - if an error occurs

### createRichTextTypePoem

    public RichTextType.Poem createRichTextTypePoem()
                                             throws javax.xml.bind.JAXBException

  Create an instance of RichTextTypePoem

  Throws:
    `JAXBException` - if an error occurs

### createNonnullTokenWithOwnerType

    public NonnullTokenWithOwnerType createNonnullTokenWithOwnerType()
                                                              throws javax.xml.bind.JAXBException

  Create an instance of NonnullTokenWithOwnerType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextType

    public SimpleRichTextType createSimpleRichTextType()
                                                throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextType

  Throws:
    `JAXBException` - if an error occurs

### createNonnullTokenWithSeparatorType

    public NonnullTokenWithSeparatorType createNonnullTokenWithSeparatorType()
                                                                      throws javax.xml.bind.JAXBException

  Create an instance of NonnullTokenWithSeparatorType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypePre

    public SimpleRichTextType.Pre createSimpleRichTextTypePre()
                                                       throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypePre

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypePre

    public SimpleRichTextType.Pre createSimpleRichTextTypePre(java.lang.String value)
                                                       throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypePre

  Throws:
    `JAXBException` - if an error occurs

### createTableType

    public TableType createTableType()
                              throws javax.xml.bind.JAXBException

  Create an instance of TableType

  Throws:
    `JAXBException` - if an error occurs

### createPTypeEm

    public PType.Em createPTypeEm()
                           throws javax.xml.bind.JAXBException

  Create an instance of PTypeEm

  Throws:
    `JAXBException` - if an error occurs

### createExtendedPointersWithOwnerType

    public ExtendedPointersWithOwnerType createExtendedPointersWithOwnerType()
                                                                      throws javax.xml.bind.JAXBException

  Create an instance of ExtendedPointersWithOwnerType

  Throws:
    `JAXBException` - if an error occurs

### createTableRowTypeTh

    public TableRowType.Th createTableRowTypeTh()
                                         throws javax.xml.bind.JAXBException

  Create an instance of TableRowTypeTh

  Throws:
    `JAXBException` - if an error occurs

### createTableRowTypeTh

    public TableRowType.Th createTableRowTypeTh(java.lang.String value)
                                         throws javax.xml.bind.JAXBException

  Create an instance of TableRowTypeTh

  Throws:
    `JAXBException` - if an error occurs

### createAType

    public AType createAType()
                      throws javax.xml.bind.JAXBException

  Create an instance of AType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypeA

    public SimpleRichTextType.A createSimpleRichTextTypeA()
                                                   throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypeA

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextWithAuthorType

    public SimpleRichTextWithAuthorType createSimpleRichTextWithAuthorType()
                                                                    throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextWithAuthorType

  Throws:
    `JAXBException` - if an error occurs

### createExtendedSourceType

    public ExtendedSourceType createExtendedSourceType()
                                                throws javax.xml.bind.JAXBException

  Create an instance of ExtendedSourceType

  Throws:
    `JAXBException` - if an error occurs

### createCodeTypeStrong

    public CodeType.Strong createCodeTypeStrong()
                                         throws javax.xml.bind.JAXBException

  Create an instance of CodeTypeStrong

  Throws:
    `JAXBException` - if an error occurs

### createComplexPointType

    public ComplexPointType createComplexPointType()
                                            throws javax.xml.bind.JAXBException

  Create an instance of ComplexPointType

  Throws:
    `JAXBException` - if an error occurs

### createDateWithRoleType

    public DateWithRoleType createDateWithRoleType()
                                            throws javax.xml.bind.JAXBException

  Create an instance of DateWithRoleType

  Throws:
    `JAXBException` - if an error occurs

### createCaptionType

    public CaptionType createCaptionType()
                                  throws javax.xml.bind.JAXBException

  Create an instance of CaptionType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextWithInfoType

    public SimpleRichTextWithInfoType createSimpleRichTextWithInfoType()
                                                                throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextWithInfoType

  Throws:
    `JAXBException` - if an error occurs

### createMultipleLinesType

    public MultipleLinesType createMultipleLinesType()
                                              throws javax.xml.bind.JAXBException

  Create an instance of MultipleLinesType

  Throws:
    `JAXBException` - if an error occurs

### createEmType

    public EmType createEmType()
                        throws javax.xml.bind.JAXBException

  Create an instance of EmType

  Throws:
    `JAXBException` - if an error occurs

### createNonnullTokenWithRoleType

    public NonnullTokenWithRoleType createNonnullTokenWithRoleType()
                                                            throws javax.xml.bind.JAXBException

  Create an instance of NonnullTokenWithRoleType

  Throws:
    `JAXBException` - if an error occurs

### createAgentType

    public AgentType createAgentType()
                              throws javax.xml.bind.JAXBException

  Create an instance of AgentType

  Throws:
    `JAXBException` - if an error occurs

### createRichPointerTypeTable

    public RichPointerType.Table createRichPointerTypeTable()
                                                     throws javax.xml.bind.JAXBException

  Create an instance of RichPointerTypeTable

  Throws:
    `JAXBException` - if an error occurs

### createATypePre

    public AType.Pre createATypePre()
                             throws javax.xml.bind.JAXBException

  Create an instance of ATypePre

  Throws:
    `JAXBException` - if an error occurs

### createATypePre

    public AType.Pre createATypePre(java.lang.String value)
                             throws javax.xml.bind.JAXBException

  Create an instance of ATypePre

  Throws:
    `JAXBException` - if an error occurs

### createRichTextTypeTable

    public RichTextType.Table createRichTextTypeTable()
                                               throws javax.xml.bind.JAXBException

  Create an instance of RichTextTypeTable

  Throws:
    `JAXBException` - if an error occurs

### createAnyWithOwnerType

    public AnyWithOwnerType createAnyWithOwnerType()
                                            throws javax.xml.bind.JAXBException

  Create an instance of AnyWithOwnerType

  Throws:
    `JAXBException` - if an error occurs

### createRichTextType

    public RichTextType createRichTextType()
                                    throws javax.xml.bind.JAXBException

  Create an instance of RichTextType

  Throws:
    `JAXBException` - if an error occurs

### createRichPointerTypeQuotation

    public RichPointerType.Quotation createRichPointerTypeQuotation()
                                                             throws javax.xml.bind.JAXBException

  Create an instance of RichPointerTypeQuotation

  Throws:
    `JAXBException` - if an error occurs

### createRichTextWithOwnerType

    public RichTextWithOwnerType createRichTextWithOwnerType()
                                                      throws javax.xml.bind.JAXBException

  Create an instance of RichTextWithOwnerType

  Throws:
    `JAXBException` - if an error occurs

### createNonnullTokenWithOwnerReplaceType

    public NonnullTokenWithOwnerReplaceType createNonnullTokenWithOwnerReplaceType()
                                                                            throws javax.xml.bind.JAXBException

  Create an instance of NonnullTokenWithOwnerReplaceType

  Throws:
    `JAXBException` - if an error occurs

### createPTypeA

    public PType.A createPTypeA()
                         throws javax.xml.bind.JAXBException

  Create an instance of PTypeA

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextWithOwnerType

    public SimpleRichTextWithOwnerType createSimpleRichTextWithOwnerType()
                                                                  throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextWithOwnerType

  Throws:
    `JAXBException` - if an error occurs

### createRichPointerType

    public RichPointerType createRichPointerType()
                                          throws javax.xml.bind.JAXBException

  Create an instance of RichPointerType

  Throws:
    `JAXBException` - if an error occurs

### createPropertiesType

    public PropertiesType createPropertiesType()
                                        throws javax.xml.bind.JAXBException

  Create an instance of PropertiesType

  Throws:
    `JAXBException` - if an error occurs

### createEnclosingSourceType

    public EnclosingSourceType createEnclosingSourceType()
                                                  throws javax.xml.bind.JAXBException

  Create an instance of EnclosingSourceType

  Throws:
    `JAXBException` - if an error occurs

### createTableRowType

    public TableRowType createTableRowType()
                                    throws javax.xml.bind.JAXBException

  Create an instance of TableRowType

  Throws:
    `JAXBException` - if an error occurs

### createPTypeCode

    public PType.Code createPTypeCode()
                               throws javax.xml.bind.JAXBException

  Create an instance of PTypeCode

  Throws:
    `JAXBException` - if an error occurs

### createPointType

    public PointType createPointType()
                              throws javax.xml.bind.JAXBException

  Create an instance of PointType

  Throws:
    `JAXBException` - if an error occurs

### createStrongTypeA

    public StrongType.A createStrongTypeA()
                                   throws javax.xml.bind.JAXBException

  Create an instance of StrongTypeA

  Throws:
    `JAXBException` - if an error occurs

### createStrongTypeEm

    public StrongType.Em createStrongTypeEm()
                                     throws javax.xml.bind.JAXBException

  Create an instance of StrongTypeEm

  Throws:
    `JAXBException` - if an error occurs

### createPointersType

    public PointersType createPointersType()
                                    throws javax.xml.bind.JAXBException

  Create an instance of PointersType

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextTypeStrong

    public SimpleRichTextType.Strong createSimpleRichTextTypeStrong()
                                                             throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextTypeStrong

  Throws:
    `JAXBException` - if an error occurs

### createRichTextWithExactType

    public RichTextWithExactType createRichTextWithExactType()
                                                      throws javax.xml.bind.JAXBException

  Create an instance of RichTextWithExactType

  Throws:
    `JAXBException` - if an error occurs

### createEmTypeCode

    public EmType.Code createEmTypeCode()
                                 throws javax.xml.bind.JAXBException

  Create an instance of EmTypeCode

  Throws:
    `JAXBException` - if an error occurs

### createRichTextFragmentsType

    public RichTextFragmentsType createRichTextFragmentsType()
                                                      throws javax.xml.bind.JAXBException

  Create an instance of RichTextFragmentsType

  Throws:
    `JAXBException` - if an error occurs

### createEmTypePre

    public EmType.Pre createEmTypePre()
                               throws javax.xml.bind.JAXBException

  Create an instance of EmTypePre

  Throws:
    `JAXBException` - if an error occurs

### createEmTypePre

    public EmType.Pre createEmTypePre(java.lang.String value)
                               throws javax.xml.bind.JAXBException

  Create an instance of EmTypePre

  Throws:
    `JAXBException` - if an error occurs

### createInfomlFile

    public InfomlFile createInfomlFile()
                                throws javax.xml.bind.JAXBException

  Create an instance of InfomlFile

  Throws:
    `JAXBException` - if an error occurs

### createStrongTypeCode

    public StrongType.Code createStrongTypeCode()
                                         throws javax.xml.bind.JAXBException

  Create an instance of StrongTypeCode

  Throws:
    `JAXBException` - if an error occurs

### createPTypePre

    public PType.Pre createPTypePre()
                             throws javax.xml.bind.JAXBException

  Create an instance of PTypePre

  Throws:
    `JAXBException` - if an error occurs

### createPTypePre

    public PType.Pre createPTypePre(java.lang.String value)
                             throws javax.xml.bind.JAXBException

  Create an instance of PTypePre

  Throws:
    `JAXBException` - if an error occurs

### createRichPointerTypeP

    public RichPointerType.P createRichPointerTypeP()
                                             throws javax.xml.bind.JAXBException

  Create an instance of RichPointerTypeP

  Throws:
    `JAXBException` - if an error occurs

### createSimpleRichTextWithOwnerReplaceType

    public SimpleRichTextWithOwnerReplaceType createSimpleRichTextWithOwnerReplaceType()
                                                                                throws javax.xml.bind.JAXBException

  Create an instance of SimpleRichTextWithOwnerReplaceType

  Throws:
    `JAXBException` - if an error occurs

### createSelectorsType

    public SelectorsType createSelectorsType()
                                      throws javax.xml.bind.JAXBException

  Create an instance of SelectorsType

  Throws:
    `JAXBException` - if an error occurs

### createCodeTypeEm

    public CodeType.Em createCodeTypeEm()
                                 throws javax.xml.bind.JAXBException

  Create an instance of CodeTypeEm

  Throws:
    `JAXBException` - if an error occurs

### createEmTypeStrong

    public EmType.Strong createEmTypeStrong()
                                     throws javax.xml.bind.JAXBException

  Create an instance of EmTypeStrong

  Throws:
    `JAXBException` - if an error occurs

### createContactInfoType

    public ContactInfoType createContactInfoType()
                                          throws javax.xml.bind.JAXBException

  Create an instance of ContactInfoType

  Throws:
    `JAXBException` - if an error occurs

### createStrongTypePre

    public StrongType.Pre createStrongTypePre()
                                       throws javax.xml.bind.JAXBException

  Create an instance of StrongTypePre

  Throws:
    `JAXBException` - if an error occurs

### createStrongTypePre

    public StrongType.Pre createStrongTypePre(java.lang.String value)
                                       throws javax.xml.bind.JAXBException

  Create an instance of StrongTypePre

  Throws:
    `JAXBException` - if an error occurs

### createATypeStrong

    public AType.Strong createATypeStrong()
                                   throws javax.xml.bind.JAXBException

  Create an instance of ATypeStrong

  Throws:
    `JAXBException` - if an error occurs

### createRichTextTypeP

    public RichTextType.P createRichTextTypeP()
                                       throws javax.xml.bind.JAXBException

  Create an instance of RichTextTypeP

  Throws:
    `JAXBException` - if an error occurs

### createTableRowTypeTr

    public TableRowType.Tr createTableRowTypeTr()
                                         throws javax.xml.bind.JAXBException

  Create an instance of TableRowTypeTr

  Throws:
    `JAXBException` - if an error occurs

### createTableRowTypeTr

    public TableRowType.Tr createTableRowTypeTr(java.lang.String value)
                                         throws javax.xml.bind.JAXBException

  Create an instance of TableRowTypeTr

  Throws:
    `JAXBException` - if an error occurs

### createRangeType

    public RangeType createRangeType()
                              throws javax.xml.bind.JAXBException

  Create an instance of RangeType

  Throws:
    `JAXBException` - if an error occurs

### createCodeTypeA

    public CodeType.A createCodeTypeA()
                               throws javax.xml.bind.JAXBException

  Create an instance of CodeTypeA

  Throws:
    `JAXBException` - if an error occurs

### createRichPointerTypePoem

    public RichPointerType.Poem createRichPointerTypePoem()
                                                   throws javax.xml.bind.JAXBException

  Create an instance of RichPointerTypePoem

  Throws:
    `JAXBException` - if an error occurs

### createCodeType

    public CodeType createCodeType()
                            throws javax.xml.bind.JAXBException

  Create an instance of CodeType

  Throws:
    `JAXBException` - if an error occurs

### createInfomlFileType

    public InfomlFileType createInfomlFileType()
                                        throws javax.xml.bind.JAXBException

  Create an instance of InfomlFileType

  Throws:
    `JAXBException` - if an error occurs

### createEmTypeEm

    public EmType.Em createEmTypeEm()
                             throws javax.xml.bind.JAXBException

  Create an instance of EmTypeEm

  Throws:
    `JAXBException` - if an error occurs

### createContainerType

    public ContainerType createContainerType()
                                      throws javax.xml.bind.JAXBException

  Create an instance of ContainerType

  Throws:
    `JAXBException` - if an error occurs

### createLocationType

    public LocationType createLocationType()
                                    throws javax.xml.bind.JAXBException

  Create an instance of LocationType

  Throws:
    `JAXBException` - if an error occurs

### createEmTypeA

    public EmType.A createEmTypeA()
                           throws javax.xml.bind.JAXBException

  Create an instance of EmTypeA

  Throws:
    `JAXBException` - if an error occurs

### createAgentContainerLocationType

    public AgentContainerLocationType createAgentContainerLocationType()
                                                                throws javax.xml.bind.JAXBException

  Create an instance of AgentContainerLocationType

  Throws:
    `JAXBException` - if an error occurs

### createStrongType

    public StrongType createStrongType()
                                throws javax.xml.bind.JAXBException

  Create an instance of StrongType

  Throws:
    `JAXBException` - if an error occurs

### createRichTextTypeQuotation

    public RichTextType.Quotation createRichTextTypeQuotation()
                                                       throws javax.xml.bind.JAXBException

  Create an instance of RichTextTypeQuotation

  Throws:
    `JAXBException` - if an error occurs

### createInfomlType

    public InfomlType createInfomlType()
                                throws javax.xml.bind.JAXBException

  Create an instance of InfomlType

  Throws:
    `JAXBException` - if an error occurs

### createComplexRangeType

    public ComplexRangeType createComplexRangeType()
                                            throws javax.xml.bind.JAXBException

  Create an instance of ComplexRangeType

  Throws:
    `JAXBException` - if an error occurs

### createPTypeStrong

    public PType.Strong createPTypeStrong()
                                   throws javax.xml.bind.JAXBException

  Create an instance of PTypeStrong

  Throws:
    `JAXBException` - if an error occurs

### createPType

    public PType createPType()
                      throws javax.xml.bind.JAXBException

  Create an instance of PType

  Throws:
    `JAXBException` - if an error occurs

### createCodeTypePre

    public CodeType.Pre createCodeTypePre()
                                   throws javax.xml.bind.JAXBException

  Create an instance of CodeTypePre

  Throws:
    `JAXBException` - if an error occurs

### createCodeTypePre

    public CodeType.Pre createCodeTypePre(java.lang.String value)
                                   throws javax.xml.bind.JAXBException

  Create an instance of CodeTypePre

  Throws:
    `JAXBException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD